/////////////////////////////////////////////////////////////////////////////
// NewTileDlg.cpp : implementation file
/////////////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "Editor.h"
#include "NewTileDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewTileDlg dialog
/////////////////////////////////////////////////////////////////////////////

CNewTileDlg::CNewTileDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNewTileDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewTileDlg)
	m_Filename = "";
	m_TileHeight = 32;
	m_TileNum = 0;
	m_TileWidth = 32;
	//}}AFX_DATA_INIT
}


void CNewTileDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewTileDlg)
	DDX_Text(pDX, IDC_FILEEDIT, m_Filename);
	DDX_Text(pDX, IDC_HEIGHTEDIT, m_TileHeight);
	DDV_MinMaxInt(pDX, m_TileHeight, 0, 128);
	DDX_Text(pDX, IDC_NUMEDIT, m_TileNum);
	DDV_MinMaxInt(pDX, m_TileNum, 0, 1024);
	DDX_Text(pDX, IDC_WIDTHEDIT, m_TileWidth);
	DDV_MinMaxInt(pDX, m_TileWidth, 0, 128);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CNewTileDlg, CDialog)
	//{{AFX_MSG_MAP(CNewTileDlg)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewTileDlg message handlers
/////////////////////////////////////////////////////////////////////////////

void CNewTileDlg::OnBrowse() 
{
	AfxMessageBox("NOT WORKING YET, YOU'LL HAVE TO TYPE IT! SORRY!");
}
